Bug 1439313 - service dialog can be submitted before entry point code on dynamic fields has completed execution
Summary: service dialog can be submitted before entry point code on dynamic fields has...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard: service
Depends On: 1431688
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-05 16:46 UTC by Satoe Imaishi
Modified: 2017-05-31 14:49 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1431688
Environment:
Last Closed: 2017-05-31 14:49:00 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-05 23:07:46 UTC
New commit detected on ManageIQ/manageiq-ui-service/fine:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/de6f95f52992bd0134278936eed6dd590b947626

commit de6f95f52992bd0134278936eed6dd590b947626
Author:     Chris Kacerguis <chriskacerguis@users.noreply.github.com>
AuthorDate: Fri Mar 31 12:57:16 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 5 19:06:02 2017 -0400

    Merge pull request #619 from eclarizio/BZ1431688
    
    Fix for service dialog being submitted before entry point code on dynamic fields has completed execution
    (cherry picked from commit 3f8539ffd53943e61d581c7da032aa52f5633487)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1439313

 client/app/states/catalogs/details/details.html    |  2 +-
 .../app/states/catalogs/details/details.state.js   | 13 +++++
 .../states/catalogs/details/details.state.spec.js  | 68 +++++++++++++++++++++-
 3 files changed, 79 insertions(+), 4 deletions(-)

Comment 4 Shveta 2017-05-02 22:27:21 UTC
Can I get the automate datastore used here ?
Thanks, 
Shveta

Comment 5 eclarizi 2017-05-08 17:54:25 UTC
Shveta, I don't really have a specific one, but it doesn't really matter as long as you have a dialog that has at least one field that gets refreshed. You simply shouldn't be able to add it to the shopping cart while it's being refreshed anymore.

Comment 6 Shveta 2017-05-09 19:14:51 UTC
Fixed .
Add to shopping cart is disabled while refresh is working .

Verified in 5.8.0.13-rc2.20170502165848_0f98658

Comment 8 errata-xmlrpc 2017-05-31 14:49:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.